/*
 * core-min.js
 *
 * Copyright (c) 2015 Emmanuel PUYBARET / eTeks <info@eteks.com>
 * 
 * Copyright (c) 1997, 2013, Oracle and/or its affiliates. All rights reserved.
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 *
 * This code is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License version 2 only, as
 * published by the Free Software Foundation.  Oracle designates this
 * particular file as subject to the "Classpath" exception as provided
 * by Oracle in the LICENSE file that accompanied OpenJDK 8 source code.
 *
 * This code is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
 * version 2 for more details (a copy is included in the LICENSE file that
 * accompanied this code).
 *
 * You should have received a copy of the GNU General Public License version
 * 2 along with this work; if not, write to the Free Software Foundation,
 * Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.
 */

// Various classes of OpenJDK 8 translated to Javascript
function IllegalArgumentException(e){this.message=e}function NullPointerException(e){this.message=e}function IllegalStateException(e){this.message=e}function UnsupportedOperationException(e){this.message=e}function InternalError(e){this.message=e}function NoSuchElementException(e){this.message=e}function PropertyChangeEvent(e,t,r,n){this.source=e,this.propertyName=t,this.newValue=n,this.oldValue=r}function PropertyChangeSupport(e){this.source=e,this.listeners=[]}var System={};System.arraycopy=function(e,t,r,n,s){if(e!==r||n>=t+s)for(;--s>=0;)r[n++]=e[t++];else for(var o=scrOff.slice(t,t+s),i=0;s>i;i++)r[n++]=o[i]},PropertyChangeEvent.prototype.getSource=function(){return this.source},PropertyChangeEvent.prototype.getPropertyName=function(){return this.propertyName},PropertyChangeEvent.prototype.getNewValue=function(){return this.newValue},PropertyChangeEvent.prototype.getOldValue=function(){return this.oldValue},PropertyChangeSupport.prototype.addPropertyChangeListener=function(e,t){void 0===t&&(t=e,e=null),t&&(e?this.listeners.push({listener:t,propertyName:e}):this.listeners.push({listener:t}))},PropertyChangeSupport.prototype.removePropertyChangeListener=function(e,t){if(void 0===t&&(t=e),t)for(var r=this.listeners.length-1;r>=0;r--)this.listeners[r].propertyName===e&&this.listeners[r].listener===t&&this.listeners.splice(r,1)},PropertyChangeSupport.prototype.firePropertyChange=function(e,t,r){if(t!=r)for(var n=new PropertyChangeEvent(this.source,e,t,r),s=0;s<this.listeners.length;s++)"propertyName"in this.listeners[s]&&this.listeners[s].propertyName!=e||this.listeners[s].listener(n)};